% SL Script to control PDF generation, do a 2 page on one, scaled to double size

% FYI: setupPage ( float translate_x, float translate_y, float rotate, float scale_x, float scale_y, int keepOnSamePage )

define pdf_page_setup(pagenum) {
	variable onSamePage;
	variable scaleFactor;
	
	scaleFactor = 1.0;
	
	% first find out which setup to apply
	
	onSamePage = pagenum mod 2;
	
	if (onSamePage == 0) {
		setupPage(pageWidth(),0,0.0,scaleFactor,scaleFactor,1);		
	} else {
		setupPage(0,0,0.0,scaleFactor,scaleFactor,0);		
	}
	
	setMediaBox(pageWidth()*2, pageHeight());
	setAnnotationPageDivider(2);
}
